.slider-search {
    padding: 10px 0;
    width: 230px;
    height: 30px;
    position: relative;
    left: 10px;
    float: left;
    line-height: 22px;
}

    .slider-search input {
        position: absolute;
        width: 0px;
        float: Left;
        margin-left: 210px;
        -webkit-transition: all 0.7s ease-in-out;
        -moz-transition: all 0.7s ease-in-out;
        -o-transition: all 0.7s ease-in-out;
        transition: all 0.7s ease-in-out;
        height: 30px;
        line-height: 18px;
        padding: 0 2px 0 2px;
        border-radius:3px;
    }

        .slider-search:hover input, .slider-search input:focus {
            width: 200px;
            margin-left: 0px;
        }

.slider-btn {
    height: 30px;
    position: absolute;
    right: 8px;
    top:10px;
    border-radius:3px;
}